// 前台搜索页
import axios from "@/util/ajax";

export default {
    // 获取目录数据
    menuInfo(params) {
        return axios.get('/resourceDirectory/getMenuInfo', { params });
    },
    // 获取查询数据列表
    searchData(params) {
        return axios.get('/resourceDirectory/searchEsData', { params });
    },
    // 搜索服务各目录下数据量
    menuStatNum(params) {
        return axios.get('/resourceDirectory/searchEsMenuStatisticsNum', { params });
    },
    // 取消收藏
    deleteCollect(params) {
        return axios.post('/resourceDirectory/deleteCollect', params);
    },
    // 收藏列表查询
    collectList(params) {
        return axios.get('/resourceDirectory/collectList', { params });
    },
    //收藏服务各目录下数据量
    collectMenuStatNum(params) {
        return axios.get('/resourceDirectory/collectMenuStatisticsNum', { params });
    },
}
