import Vue from 'vue'
import ElementUI from "element-ui"
import "element-ui/lib/theme-chalk/index.css"
import "../../assets/css/global.css"
import index from './index.vue'
import router from "../../router/index"
import config from '@/config/index';

Vue.use(ElementUI);

Vue.prototype.baseUrl =
  process.env.NODE_ENV !== "development"
    ? config.build.BASE_API
    : config.dev.BASE_API;

/* eslint-disable no-new */
new Vue({
  router,
  el: '#index',
  render: h => h(index)
})
