// 前台首页
import axios from "@/util/ajax";

export default {
    // 获取资源数据
    resourceData(params) {
        return axios.get('/resourceDirectory/homeStatisticalTotal', { params });
    },
    // 获取我的收藏总量数据
    collectTotal(params) {
        return axios.get('/resourceDirectory/collectTotal', { params });
    },
    // 获取主题、专题、指标资产数据
    themeSpecialIndex(params) {
        return axios.get('/resourceDirectory/assetNumStatistics', { params });
    },
    // 获取api排行数据
    apiRank(params) {
        return axios.get('/resourceDirectory/serviceCallNum', { params });
    },

    // 获取用户名
    getUserName() {
        return axios.get('/xyjc/cas/getUserName')
    },
    // 获取用户头像
    getUserAvatar(id) {
        return axios.get(`/xyjc/cas/getUserAvatar/${id}`)
    },
    // 用户登出
    logout() {
        return axios.get('/xyjc/cas/system/logout')
    }
}
