// 目录维护
import axios from "../../util/ajax";

// 获取栏目列表
const indexCategoryList = params =>
  axios.get(`/xyjc/index-category/list`, params);

// 增加首页栏目
const addIndexCategory = params =>
  axios.post(`/xyjc/index-category/add`, params);

// 编辑首页栏目
const editIndexCategory = params =>
  axios.post(`/xyjc/index-category/update`, params);

// 删除首页栏目
const deleteIndexCategory = params =>
  axios.delete(`/xyjc/index-category/delete`, params);

export default {
  indexCategoryList,
  addIndexCategory,
  editIndexCategory,
  deleteIndexCategory
};
